SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004500SOGoGUIpublic2018-07-02 04:022018-07-11 04:33
Reporteramair 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusfeedbackResolutionreopened 
PlatformOSOS Version
Product Version4.0.0 
Target VersionFixed in Version4.0.1 
Summary0004500: SOGo v4 Themes: not all colors applied
DescriptionI tried to change the SOGo colors but they are not applied like expected.
In sogo.conf I added the line "SOGoUIAdditionalJSFiles = (js/theme.js);". I modified the original theme.js like this:

     43 $mdThemingProvider.theme('default')
     44 .primaryPalette('deep-orange', {
     45 'default': '400', // top toolbar
     46 'hue-1': '400',
     47 'hue-2': '600', // sidebar toolbar
     48 'hue-3': 'A700'
     49 })
     50 .accentPalette('orange', {
     51 'default': '600', // fab buttons
     52 'hue-1': '50', // center list toolbar
     53 'hue-2': '300',
     54 'hue-3': 'A700'
     55 })
     56 .backgroundPalette('grey', {
     57 'default': '50', // center list background
     58 'hue-1': '200',
     59 'hue-2': '300',
     60 'hue-3': '500'
     61 });


What works: orange in login screen, some orange text in calendar and address book, orange background of selected mail and contact
NOT working: toolbar and sidebar still using default color, "+" buttons to create mail, contact or calendar entry.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
User avatar (0012940)
francis (administrator)
2018-07-06 09:45

Set/add the following attribute in your sogo.conf:

  SOGoUIxDebugEnabled = YES;
(0012941)
amair (reporter)
2018-07-09 07:25

@francis: Yes, that works, but I think it should work with SOGoUIxDebugEnabled being disabled. Will this be fixed?

BTW: there's one place where green color is still used: Preferences / Calendar / Week days to display
I'd expected accent palette. Will this be changed?
User avatar (0012942)
francis (administrator)
2018-07-09 11:35

I've updated the documentation with some solution if you don't want to enable UI debugging:

https://sogo.nu/files/docs/SOGoDevelopersGuide.html#_defining_an_alternate_color_theme [^]
(0012947)
amair (reporter)
2018-07-11 04:33

There are some more location where green/blue color is used:
* calendar view: hours
* edit calendar item:
  - selected hour and minute in time picker
  - time picker icon while time picker is open
* .attendees .event

Not sure if there are more.

- Related Changesets
sogo: master d6f85efa
Timestamp: 2018-07-09 10:59:58
Author: francis
Details ] Diff ]
(css) Respect theme in sg-toggle-grid

Fixes 0004500
mod - UI/WebServerResources/js/Common/sgToggleGrid.directive.js Diff ] File ]
mod - UI/WebServerResources/scss/components/gridList/grid-list.scss Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-02 04:02 amair New Issue
2018-07-06 09:45 francis Note Added: 0012940
2018-07-09 07:25 amair Note Added: 0012941
2018-07-09 11:01 francis Changeset attached => sogo master d6f85efa
2018-07-09 11:01 francis Assigned To => francis
2018-07-09 11:01 francis Resolution open => fixed
2018-07-09 11:35 francis Note Added: 0012942
2018-07-09 11:35 francis Status new => resolved
2018-07-09 11:35 francis Fixed in Version => 4.0.1
2018-07-11 04:33 amair Note Added: 0012947
2018-07-11 04:33 amair Status resolved => feedback
2018-07-11 04:33 amair Resolution fixed => reopened


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker